Downgrade Mysql 5.0 to 4.1

เฮอๆ พอจะ downgrade แล้วจะเจอปัญหาดังนี้ครับ

Unpacking mysql-server-4.1 (from …/mysql-server-4.1_4.1.15-1ubuntu5_i386.deb) …
Aborting downgrade from (at least) 5.0 to 4.1.
dpkg: error processing /var/cache/apt/archives/mysql-server-4.1_4.1.15-1ubuntu5_i386.deb (–unpack):
subprocess pre-installation script returned error exit status 1
Errors were encountered while processing:
/var/cache/apt/archives/mysql-server-4.1_4.1.15-1ubuntu5_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install. Trying to recover:

ให้ทำงี้

Ahah, I figured it out. If you delete or move /var/lib/mysql, you can downgrade to 4.1. In other words, it won’t downgrade since you have databases that were in mysql 5 format, and by removing the databases you can downgrade.

พูดง่ายๆ ต้อง sudo rm -rf /var/lib/mysql เพราะว่ามันมี database รูปแบบของ version 5 แต่เราจะ downgrade เป็น version 4 ซึ่งตัว setup ก็ downgrade ตัว database ไม่เป็น

ทางแก้ก็คือ ต้องลบทิ้ง – -“

2 คิดบน “Downgrade Mysql 5.0 to 4.1

ใส่ความเห็น

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / เปลี่ยนแปลง )

Twitter picture

You are commenting using your Twitter account. Log Out / เปลี่ยนแปลง )

Facebook photo

You are commenting using your Facebook account. Log Out / เปลี่ยนแปลง )

Google+ photo

You are commenting using your Google+ account. Log Out / เปลี่ยนแปลง )

Connecting to %s